## villain 0.0~git20230808.d24a7eb

=== requirements.txt ===
netifaces==0.11.0
pycryptodome==3.18.0
pyperclip==1.8.2
requests==2.28.1
gnureadline==8.1.2

=== debian/changelog ===
villain (0.0~git20230808.d24a7eb-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:37:33 +0200

villain (0.0~git20230808.d24a7eb-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20230808.d24a7eb
  * Update patches
  * Add python3-requests dependency

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 09 Aug 2023 00:16:26 +0200

villain (0.0~git20230713.7716075-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 19 Jul 2023 10:31:45 +0200

=== debian/control ===
Source: villain
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-netifaces,
 python3-pycryptodome,
 python3-pyperclip,
 python3-requests,
Standards-Version: 4.6.2
Homepage: https://github.com/t3l3machus/Villain

Package: villain
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-netifaces,
 python3-pycryptodome,
 python3-pyperclip,
 python3-requests,
Description: High level C2 framework
 Villain is a C2 framework that can handle multiple TCP socket & HoaxShell-based
 reverse shells, enhance their functionality with additional features and share
 them among connected sibling servers.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/t3l3machus/Villain HEAD

## villain 2.2.1

=== requirements.txt ===
netifaces
pycryptodomex
pyperclip
Requests
gnureadline

=== debian/changelog ===
villain (2.2.1-0kali1) kali-dev; urgency=medium

  * Use git tags in debian/watch
  * Update watch file
  * New upstream version 2.2.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 04 Dec 2024 08:29:51 +0100

villain (2.2.0+git20241008.0198dbf-0kali1) kali-dev; urgency=medium

  * Override lintian false positive
  * Add correct version to debian/watch
  * New upstream version 2.2.0+git20241008.0198dbf

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 08 Oct 2024 09:23:40 +0200

villain (0.0~git20240916.ad22eca-0kali2) kali-dev; urgency=medium

  * Update tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 18 Sep 2024 10:05:57 +0200

villain (0.0~git20240916.ad22eca-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20240916.ad22eca
  * Refresh patches
  * Update packaging

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 18 Sep 2024 09:50:12 +0200

villain (0.0~git20240802.a515890-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Daniel Ruiz de Alegría ]
  * New upstream version 0.0~git20240802.a515890
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 05 Aug 2024 12:49:52 +0200

villain (0.0~git20231219.1c9084f-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20231219.1c9084f

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 02 Jan 2024 10:18:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: villain
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,8 +12,10 @@
  python3-pycryptodome,
  python3-pyperclip,
  python3-requests,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/t3l3machus/Villain
+Vcs-Browser: https://gitlab.com/kalilinux/packages/villain
+Vcs-Git: https://gitlab.com/kalilinux/packages/villain.git
 
 Package: villain
 Architecture: all

=== debian/tests/control ===
Tests: runtests.sh
Depends: netcat-traditional, expect, @
Restrictions: allow-stderr, isolation-container, breaks-testbed

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/[vV]?(.*)\.tar\.gz/villain-$1.tar.gz/" \
https://github.com/t3l3machus/Villain/tags .*/[vV]?(.*)\.tar\.gz
